<?
/*
	phpleftcms Copyright (c) 2011 phpleft.COM
	Joeychen
	
*/
error_reporting(E_ALL & ~E_NOTICE);
define('PL_ROOT', str_replace("\\", '/', dirname(__FILE__)).'/');
define('ROOT_PHPLEFT', true);
define('PL_PHP', '.php');
$MQG = get_magic_quotes_gpc();
require PL_ROOT.'config.inc.php';
require PL_ROOT.'include/Template.php';
require PL_ROOT.'include/global.func.php';
require PL_ROOT.'include/getin.func.php';
require PL_ROOT.'include/func.func.php';
require PL_ROOT.'include/page.class.php';
require PL_ROOT.'include/post.class.php';
require PL_ROOT.'include/md5.php';
require PL_ROOT.'include/db_'.$PL_CFG['database'].'.class.php';
require PL_ROOT.'version.inc.php';
require PL_ROOT.'templatecode.php';
require PL_ROOT.'include/ajax.func.php';
define('CACHE_PATH', $PL_CFG['cache']);
define('TITLE_SEO', $PL_CFG['titleseo']);
header("Content-Type:text/html;charset=".$PL_CFG['charset']);
$phpleft->setConfig('PHP_off',true);
define('PL_URL',$PL_CFG['url']);
define('PL_SKIN',PL_URL.'skin/'.$PL_CFG['skin'].'/');
define('table',$PL_CFG['tb_pre']);
if(!$MQG && $_POST) $_POST = daddslashes($_POST);
if(!$MQG && $_GET) $_GET = daddslashes($_GET);
if($_POST) extract($_POST, EXTR_SKIP);
if($_GET) extract($_GET, EXTR_SKIP);
date_default_timezone_set($PL_CFG['timezone']);
$db = new mysql($PL_CFG['db_host'],$PL_CFG['db_user'],$PL_CFG['db_pass'],$PL_CFG['db_name'],$PL_CFG['db_charset']);
?>